<?php

namespace common\models;

use artbox\core\models\Feedback;


/**
 * This is the model class for table "feedback".
 *
 * @property integer $id
 * @property string  $name
 * @property string  $email
 * @property string  $phone
 * @property string  $message
 * @property integer $created_at
 * @property string  $ip
 * @property string  $url
 * @property bool    $status
 */
class Order extends Feedback
{
    const SCENARIO_ORDER = 'order';
    
    public function rules()
    {
        return array_merge(parent::rules(), [
            [
                ['subject'],
                'string'
            ]
        ]);
    }

    public function scenarios()
    {
        return
            [
                self::SCENARIO_ORDER => [
                    'name',
                    'email',
                    'message',
                    'subject',
                ],
        ];
    }
}
